(function($) {
    (function() {
        if ($('.sidebar-nav-list-wrapper').length > 0) {
            $('.sidebar-nav-list-wrapper').each(function() {
                var $wrapper = $(this);
                var $sidebarToggleBtnWrapper = $('.toggle-sidebar-menu', $wrapper);
                var $sidebarToggleBtn = $('.toggle-menu', $sidebarToggleBtnWrapper);
                var $sidebarMenu = $('.sidebar-nav-list', $wrapper);
                $sidebarToggleBtn.click(function(e) {
                    e.preventDefault();
                    e.stopPropagation();
                    $sidebarToggleBtnWrapper.toggleClass('expanded');
                    $sidebarMenu.stop().slideToggle();
                });
            });
        }

        if ($('.toggle-mobile-side-nav').length > 0) {
            $('.toggle-mobile-side-nav').each(function() {
                var $menuToggle = $(this);
                var $sidebarMenu = $('.nav-wrapper');
                $menuToggle.click(function(e) {
                    e.preventDefault();
                    $menuToggle.toggleClass('expanded');
                    $sidebarMenu.stop().slideToggle();
                });
            });
        }
    })();
})(jQuery);
//Check if object empty
function isEmpty(obj) {
    for (var key in obj) {
        if (obj.hasOwnProperty(key))
            return false;
    }
    return true;
}

//Extract URL parameters
function getUrlVars() {
    var vars = {};
    var parts = window.location.href.replace(/[?&]+([^=&]+)=([^&]*)/gi, function(m, key, value) {
        vars[key] = value;
    });
    return vars;
}

//Set Progress Bar based on screen size
function setProgressBar() {
    var windowWidth = screen.width;
    console.log(windowWidth)
    if (document.getElementById("wrapper")) {
        if (windowWidth > 960) {
            document.getElementById("wrapper").style.display = "flex";
            document.getElementById("mwrapper").style.display = "none";
        }
        else {
            document.getElementById("wrapper").style.display = "none";
            document.getElementById("mwrapper").style.display = "flex";
        }
    }
}
window.addEventListener('resize', function (event) {
    // setHeight();
    setProgressBar();
});
setProgressBar();
